@import "../../_mixins.scss";

.sow-setting {
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  border-radius: 2px;
  width: 100%;

  .agreement-settings-main {
    margin: 20px 10px;
    .input-wrapper {
      display: flex;
    }
    .save-agr-settings-btn {
      margin-top: 10px;
      margin-left: 5px;
    }
  }

  .inventory {
    height: 100%;

    .label-customers-checkbox {
      padding: 29px 0 0 0;
    }

    .all-customers-checkbox {
      padding: 0 0 0px 0px;
      margin-top: -6px;
    }
  }
  .valid-configuration {
    color: green;
    font-size: 15px;
  }
  .invalid-configuration {
    color: red;
    font-size: 15px;
  }
  .save-button-sow-setting {
    max-width: 125px;
    margin: 0 0px 20px 20px;
  }
  .CodeMirror {
    height: 300px;
  }
}
.service-catalog-container {
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  border-radius: 2px;
  margin-bottom: 15px;

  h3 {
    padding-left: 20px;
  }
  h4 {
    padding-left: 20px;
    border-bottom: 1px solid #ccc;
    padding-bottom: 5px;
  }

  .service-catagories {
    padding: 20px;
    display: flex;
    flex-direction: column;

    label.field__label-label {
      padding: 5px 15px;
      font-size: var(--font-l);
    }

    .react-tagsinput {
      height: 120px;
    }
  }

  .disable-div {
    pointer-events: none;
    opacity: 0.8;
  }

  .loader {
    position: absolute;
    left: auto;
    top: auto;
    z-index: 999;
    width: 100%;
    height: 36%;
  }

  .spinner {
    display: flex;
    justify-content: center;
    width: 73%;
    height: 90%;

    img {
      margin: auto;
    }
  }

  .service-technology-type-list {
    border-top: 1px solid #ccc;
    padding-top: 10px;

    .category {
      padding: 5px 0 5px 0;
    }
    .service-technology-type {
      display: grid;
      grid-column-gap: 50px;
      grid-template-columns: repeat(2, 1fr);
    }
  }

  .save-button-catalog {
    max-width: 125px;
    margin: 10px 0;
  }
}

.service-catalog {
  .doc-setting-container {
    background: white;
    display: flex;
    flex-direction: column;
    .service-catagories {
      padding: 0 15px;
      display: flex;
      flex-wrap: wrap;
    }
    button.square-btn.save-button-doc-setting {
      width: 125px;
      margin: 10px 0 20px 35px;
    }
  }
  .service-catagories {
    padding: 5px 15px;
  }
  .header {
    border-bottom: 1px solid #ccc;
    margin: 20px 20px 5px 20px;
    label.field__label-label {
      padding: 5px 0 5px 0px;
      font-size: var(--font-l);
      border-bottom: 1px;
    }
  }
}

.sales-activity-container {
  .searchbox_container {
    display: flex;
    justify-content: center;
    width: 150px;
    margin-top: 15px;
  }
}

.or-contact-type {
  width: 500px;
}

.or-contact-action {
  padding-left: 20px;
  padding-bottom: 15px;
}

.doc-setting-container {
  .outer.outer--multiLine {
    display: flex;
    min-height: 60px;
    padding: 10px;
  }
}

.sow-settings-editor {
  display: inline-flex;
  flex-direction: row;
  flex-wrap: wrap;
  padding: 0;
  .mde-editor {
    width: 100%;
  }
}

.mde-editor {
  .sow-settings-quill {
    padding: 0;
  }
  .quill {
    margin-bottom: 15px;
    .mention {
      position: relative;
    }
    [data-denotation-char="#"] {
      color: #009688;
    }
    .mention[data-denotation-char="#"]:hover:after {
      content: "Technology -" attr(data-id);
      padding: 4px 8px;
      color: black;
      background-color: white;
      left: 0;
      top: 120%;
      border: 1px black solid;
      box-shadow: 0 0 3px #ccc;
      width: max-content;
      position: absolute;
    }

    
    .ql-container {
      height: 300px;
      .ql-editor {
        min-height: unset !important;
      }
    }
  }
}

.activity-status {
  .field__label-label {
    padding: 0px 20px;
  }
  .field-section {
    padding: 0px 20px;
  }

  .remove {
    margin: 2rem 0rem 0 0rem;
    display: flex;
    justify-content: center;
  }
  .add-new-status {
    color: #db7c20;
    margin: 0 0 0 35px;
    font-weight: 600;
    width: 100px;
    cursor: pointer;
  }
  img.remove {
    width: 45px;
    height: var(--input-height);
    margin: 5px 0 0 10px;
    opacity: 0.5;
  }
  img.saved {
    width: 50px;
    height: 49px;
    margin: 3px 0 0 21px;
    cursor: pointer;
  }
  img.edit {
    width: 44px;
    height: 17px;
    filter: invert(1);
    margin: 18px 0 0 10px;
  }
  .color-preview {
    padding: 0;
    height: var(--input-height);
    line-height: 2.5;
    font-weight: 600;
    display: flex;
    border: solid 1px #d3dde0;
    flex-direction: row;
    margin: 10px 0 0 0;
    .left-column {
      width: 5px;
      height: var(--input-height);
      border: solid 1px #fff;
    }
    .text {
      width: 100%;
      padding: 4px 10px;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      height: var(--input-height);
    }
  }
  .color-picker {
    text-align: center;
    width: 130px;
    .rc-color-picker-wrap {
      display: inline-block;
      span.rc-color-picker-trigger {
        width: 25px;
        height: 25px;
        margin: 15px 0 0 0;
        border: 1px solid #999;
        display: inline-block;
        padding: 2px;
        border-radius: 2px;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        width: 20px;
        height: 20px;
        cursor: pointer;
        box-shadow: 0 0 0 2px #fff inset;
      }
    }
  }
  .sales-status-check {
    text-align: center;
    width: 150px;
  }
}

.vendor-settings-container {
  display: flex;
  flex-direction: column;
  padding: 30px 0 15px 0;
  position: relative;
  .vendor-settings-spinner {
    position: absolute;
    z-index: 1;
    top: 25%;
  }
  .vendor-settings-quill {
    padding: 5px;
  }
  .save-vendor-settings {
    width: 125px;
    margin: 15px 20px;
  }
  .attachment-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    .attachments__icon__upload {
      margin-right: 10px;
    }
  }
  .attachment-section {
    display: flex;
    flex-direction: column;
    padding: 0 20px 10px;
    label {
      font-family: var(--font-first);
      font-size: var(--font-s);
      font-weight: 500;
      font-style: normal;
      font-stretch: normal;
      letter-spacing: 0.1px;
      text-align: left;
      color: var(--grey-label);
      position: relative;
    }
    .view-attachments {
      display: flex;
      gap: 10px;
      margin-top: 5px;
      flex-wrap: wrap;
      .attachment-box {
        display: flex;
        border: 1px solid lightgray;
        width: fit-content;
        padding: 5px 10px;
        .attachment-link {
          color: var(--primary);
          cursor: pointer;
          display: inline-block;
          margin-right: 10px;
          font-weight: 500;
        }
        .attachment-link:active,
        .attachment-link:hover,
        .attachment-link:focus {
          text-decoration: underline;
        }
      }
    }
  }
}

.default-role-setting-container {
  position: relative;
  padding: 20px 0;
  .spinner {
    position: absolute;
    z-index: 2;
    top: 15px;
  }
  .col-md-12 {
    padding: 0;
  }
  .default-role-btn {
    margin: 10px 0 0 20px;
  }
  .create-role-btn {
    position: absolute;
    right: 20px;
    top: 10px;
    z-index: 1;
  }
}

.vendor-description-mapping-container {
  position: relative;
  .add-new-vendor-alias {
    position: absolute;
    z-index: 2;
    right: 10px;
    top: 5px;
  }
  .vendor-description-mapping-list {
    .header {
      margin: 0;
      border-top: 1px solid var(--row-bg);
    }
    .vendor-name-col {
      max-width: 30%;
    }
    .row-panel {
      min-height: 60px;
    }
    .row-panel.even {
      background: rgb(249, 249, 249);
    }
    .vendor-mapping-actions {
      display: flex;
      max-width: 90px;
      gap: 10px;
      .edit-btn {
        margin: 0;
        border-radius: 4px;
        border: none;
        background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
        background-color: #f3f3f3;
        &:hover,
        &:focus,
        &:active:hover,
        &:active:focus,
        &:hover:focus,
        &:active {
          border: none;
          background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
          background-size: 18px;
          background-color: #dfdfdf;
        }
      }
      .confirm-help-icon.remove {
        .icon-remove-c {
          width: 15px;
          height: 15px;
          margin: 0;
          opacity: 0.5;
        }
      }
    }
  }
}

.vendor-alias-edit-container {
  width: 100%;
  position: relative;
  display: flex;
  gap: 10px;
  .field-section {
    padding: 0;
  }
  .loader {
    top: 0;
  }
}

